# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import AdminUtilities

from java.lang import System, String

cellName = System.getProperty("local.cell")

if "BPMFederationConfiguration" in AdminUtilities.convertToList(AdminConfig.types()):
  print "Creating default federation domains"
  # create the default federation domain on cell level. This creates also the WCCM extension on cell level under the covers
  AdminTask.createBPMApiFederationDomain(["-name", "default", "-addTarget", [[cellName, "", "", ""]]])
else:
  print "BPMFederationConfiguration WCCM extension not found. Skipping creation of default federation domains" 
#endif
print "Done."

AdminConfig.save()
